Package Details: payetools-rti 21.0.21070.203-1

Git Clone URL: https://aur.archlinux.org/payetools-rti.git (read-only, click to copy)
Package Base: payetools-rti
Description: UK HMRC Basic PAYE Tools for Linux
Upstream URL: https://www.gov.uk/basic-paye-tools
Licenses: custom
Submitter: kubrick
Maintainer: kubrick
Last Packager: kubrick
Votes: 2
Popularity: 0.000006
First Submitted: 2016-05-19 11:41
Last Updated: 2021-04-08 09:45

Pinned Comments

kubrick commented on 2018-01-21 17:48

FYI, 17.4.17200.477-2 fixes an upstream security issue where a malicious user having access to /home/teamcity could preload libraries referenced in the RPATH of the binaries included in the upstream package. This new PKGBUILD removes the reference to the RPATH.

HOWEVER the problem is still not fixed for python libraries. I'll try to fix that in future releases

Latest Comments

1 2 3 Next › Last »

RonaldDuncan commented on 2021-01-20 14:19

Using pamac on Manjaro ps aux |grep payetools will show you the commands being run

cd /var/tmp/pamac-build-rjd/payetools-rti/pkg/payetools-rti then ./payetools-rti-20.2.20141.491-linux --prefix /var/tmp/pamac-build-rjd/payetools-rti/pkg/payetools-rti/opt/HMRC/basic-paye-tools --check_for_updates 0 --mode unattended --debuglevel 4 is the command that failed and works if you run it.

If you take out the --mode unattended you will get the setup dialog. PS I tried this first then cancelled and ran the unattended which worked, so it may have affected things.

The output of ps aux was as follows when it hung ps aux |grep payetools rjd 1824 0.6 0.3 473752 61592 pts/0 Sl+ 14:00 0:00 pamac build payetools-rti rjd 1867 0.3 0.0 9968 6400 pts/0 S+ 14:01 0:00 /usr/bin/bash /usr/bin/makepkg -cCf --nosign PKGDEST=/var/tmp/pamac-build-rjd/payetools-rti PKGEXT=.pkg.tar rjd 2594 0.0 0.0 7372 3648 pts/0 S+ 14:01 0:00 /bin/sh /usr/bin/fakeroot -- bash -hB /usr/bin/makepkg -F -cCf --nosign PKGDEST=/var/tmp/pamac-build-rjd/payetools-rti PKGEXT=.pkg.tar rjd 2609 0.3 0.0 10048 6656 pts/0 S+ 14:01 0:00 bash -hB /usr/bin/makepkg -F -cCf --nosign PKGDEST=/var/tmp/pamac-build-rjd/payetools-rti PKGEXT=.pkg.tar rjd 3287 0.0 0.0 17824 3820 pts/0 Sl+ 14:01 0:00 ./payetools-rti-20.2.20141.491-linux --prefix /var/tmp/pamac-build-rjd/payetools-rti/pkg/payetools-rti/opt/HMRC/basic-paye-tools --check_for_updates 0 --mode unattended --debuglevel 4

kubrick commented on 2020-11-29 16:48

@kroloskar, "package" actually calls the installer. Can you try running the installer manually by extracting it from the zip from HMRC?

kroloskar commented on 2020-11-29 11:37

On Manjaro the instalation gets stuck at "Starting package()..." ...any sugestions?

Building payetools-rti... ==> Making package: payetools-rti 20.2.20141.491-1 (nie, 29 lis 2020, 12:09:57) ==> Checking runtime dependencies... ==> Checking buildtime dependencies... ==> Retrieving sources... -> Found payetools-rti-20.2.20141.491-linux.zip ==> Validating source files with sha256sums... payetools-rti-20.2.20141.491-linux.zip ... Passed ==> Removing existing $srcdir/ directory... ==> Extracting sources... ==> Starting prepare()... Archive: payetools-rti-20.2.20141.491-linux.zip inflating: payetools-rti-20.2.20141.491-linux
==> Removing existing $pkgdir/ directory... ==> Starting build()... ==> Entering fakeroot environment... ==> Starting package()...

kubrick commented on 2020-06-05 09:40

Thanks @MrBlister, I had forgotten to remove the checksum for a file that we don't need any more.

MrBlister commented on 2020-06-05 09:14

I had to remove the sha256sum for payetools-rti.install from the PKGBUILD for it build: ==> ERROR: Integrity checks (sha256) differ in size from the source array. (The checksum for this file was also wrong - I guess it wasn't updated from the previous version.)

rmantingh commented on 2020-05-15 10:41

HMRC have issued an update however the automatic update function in the tool does not work. Could you please update PKGBUILD to reflect the new version (20.1.20111.484)? Thanks.

tlvince commented on 2020-04-20 13:12

The 20.0.20083.454 changes work for me. Thanks!

kubrick commented on 2020-04-15 19:48

The new version breaks in new and interesting ways after the lib32-krb5-1.18 update that removed some very old symbols that the embedded version of openssl embedded with python 2.7 shipped with the package depends upon.

As a hopefully temporary hack, I've embedded the libraries from lib32-krb5-1.17.1 into the package. sigh

kubrick commented on 2020-04-15 19:00

Working on resolving the issues, sorry for the delay.

tlvince commented on 2020-04-06 15:17

Welcome to the new tax year :) PAYE tools has been updated to 20.0.20083.454. Also, it looks like a system-wide update has broken the 19.x version:

Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ERROR:root:code for hash md5 was not found.
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 147, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 97, in __get_builtin_constructor
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ValueError: unsupported hash type md5
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ERROR:root:code for hash sha1 was not found.
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 147, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 97, in __get_builtin_constructor
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ValueError: unsupported hash type sha1
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ERROR:root:code for hash sha224 was not found.
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 147, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 97, in __get_builtin_constructor
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ValueError: unsupported hash type sha224
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ERROR:root:code for hash sha256 was not found.
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 147, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 97, in __get_builtin_constructor
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ValueError: unsupported hash type sha256
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ERROR:root:code for hash sha384 was not found.
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 147, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 97, in __get_builtin_constructor
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ValueError: unsupported hash type sha384
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ERROR:root:code for hash sha512 was not found.
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 147, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/hashlib.py", line 97, in __get_builtin_constructor
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ValueError: unsupported hash type sha512
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: Traceback (most recent call last):
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/site-packages/cx_Freeze/initscripts/Console.py", line 27, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "main.py", line 49, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "main.py", line 15, in main
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/BuildAgent/work/2a7266086ca77170/src-copy/django_offline/__init__.py", line 20, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/BuildAgent/work/2a7266086ca77170/src-copy/django_offline/settings_central.py", line 72, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/BuildAgent/work/2a7266086ca77170/src-copy/django_offline/ssl_finder.py", line 30, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]:   File "/home/teamcity/tools/python-2.7.10/lib/python2.7/ssl.py", line 97, in <module>
Apr 06 16:13:58 arch Basic PAYE Tools.desktop[94828]: ImportError: /opt/HMRC/basic-paye-tools/libssl.so.10: undefined symbol: krb5_rc_destroy, version krb5_3_MIT

Any ideas?